libopenraw1-32bit-0.0.9-41.1.x86_64.rpm


Advertisement

Description

libopenraw1-32bit - A library to decode digital camera RAW files

Distribution: openSUSE 42.1
Repository: openSUSE Multimedia Libs all
Package name: libopenraw1-32bit
Package version: 0.0.9
Package release: 41.1
Package architecture: x86_64
Package type: rpm
Installed size: 328.36 KB
Download size: 111.49 KB
Official Mirror: ftp.gwdg.de
libopenraw is a library that aim at decoding digital camera RAW files.

Alternatives

Provides

  • libopenraw.so.1
  • libopenraw1-32bit = 0.0.9-41.1
  • libopenraw1-32bit(x86-32) = 0.0.9-41.1
  • libopenrawgnome.so.1

    Install Howto

    1. Add the openSUSE Multimedia Libs repository:
      # zypper addrepo http://ftp.gwdg.de/pub/opensuse/repositories/multimedia:/libs/openSUSE_Leap_42.1/ opensuse-multimedia-libs
    2. Install libopenraw1-32bit rpm package:
      # zypper install libopenraw1-32bit

    Files

    • /usr/lib/libopenraw.so.1
    • /usr/lib/libopenraw.so.1.6.0
    • /usr/lib/libopenrawgnome.so.1
    • /usr/lib/libopenrawgnome.so.1.6.0

    Changelog

    2017-02-01 - adam.majer@suse.de - use individual libboost-*-devel packages instead of boost-devel

    2016-07-15 - alarrosa@suse.com - Update to GNOME 3.20.2 Fate#318572

    2015-06-16 - mpluskal@suse.com - Add gpg signature - Cleanup spec file with spec-cleaner - Add missing dependency on curl

    2012-05-10 - crrodriguez@opensuse.org - Run make check - Do not use gcc -ansi flag - Ensure all C files include "config.h"

    2012-02-24 - crrodriguez@opensuse.org - Build C++ code with -fvisibility-inlines-hidden shrinks the exported symbol table from 1844 to 1476 entries.

    2011-12-02 - coolo@suse.com - add automake as buildrequire to avoid implicit dependency

    2011-11-15 - vuntz@opensuse.org - Update to version 0.0.9: + New features: - New demo ppmload to create a ppm out of the demosaicized image. - Support (partially) PEF from Pentax K20D. - Support for Olympus ORF big-endian files and "RS" (12-bits). Added E-10, E-P1, E-620, SP350, SP500, SP510 and SP550. - Support for Canon G10, G11, 7D, 1DMarkIV, 5DMarkII, 500D, 550D, 60D and 1000D. - Support for Canon 50D (fdo#30846). - Support for Nikon D3000. - Support for Sony A-550. - Support for Leica X1 DNG. - Support for Ricoh GRX DNG. + Bug fixes: - API: or_rawfile_get_rendered_image() returns a ORBitmapDataRef with the correct dimensions. - Check for get_current_dir_name() (fdo#24088) - Don't crash when the files can't be written in the testsuite bootstrap. - Detect that ORF file are compressed if they are (fdo#26618). - Skip compressed CFA when rendering the image (fdo#25464). - Accept YCbCr when the compression is JPEG. The K10D DNG should now have the large size preview. - Install the GdkPixbuf in the right place (fdo#29208). + Internal changes: - Rename debug.{h,cpp} to trace.{h,cpp} - Fixed the case on several class names. - Drop libopenraw-gdk-pixbuf-loaders-path.patch: fixed upstream. - Drop libopenraw-detect-compressed-otf.patch: fixed upstream. - Rebase libopenraw-orf-thumbnail.patch.

    2011-09-05 - glin@suse.com - Merge upstream patch libopenraw-detect-compressed-otf.patch to avoid segfault while loading Olympus raw files (.orf) bnc#561232, fdo#26618 - Rebase and merge upstream patch libopenraw-orf-thumbnail.patch to decompress otf bnc#699678 - Add autoreconf to %build to refresh Makefiles - Remove the invalid link in Source0

    2010-10-11 - vuntz@opensuse.org - Add missing Requires for gdk-pixbuf-query-loaders to gdk-pixbuf-loader-libopenraw in baselibs.conf.

    2010-07-21 - vuntz@opensuse.org - Change gtk2-devel and libxml2-devel BuildRequires to pkgconfig(gdk-pixbuf-2.0) and pkgconfig(libxml-2.0). - Add explicit pkgconfig(glib-2.0) BuildRequires. - Add libopenraw-gdk-pixbuf-loaders-path.patch to have the gdk-pixbuf loader installed where it should with the new gdk-pixbuf library. Patch was committed upstream. - Note that we require gdk-pixbuf >= 2.21 for the build because of the patch. - Split the gdk-pixbuf loader in a gdk-pixbuf-loader-libopenraw subpackage (that gets installed automatically when gdk-pixbuf is installed thanks to a Supplements). - Change gtk2-devel Requires in devel package to gdk-pixbuf-devel. - Add baselibs.conf, so that the pixbuf loader can work with 32bit version of gdk-pixbuf.

    Advertisement
    Advertisement